#
# spec file for package urlscan
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           urlscan
Version:        0.8.3
Release:        1.2
License:        GPL-2.0
Summary:        An other URL extractor/viewer
Url:            https://github.com/firecat53/urlscan
Group:          Productivity/Networking/Web/Browsers
Source0:        https://github.com/firecat53/urlscan/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        muttrc
Requires:       python-urwid
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


%description
The urlscan utility displays URLs found in an email message with
the respective context. Selecting an URL uses the Python webbrowser
module to determine which browser to open. It also supports
quoted-printable and base64 encoding.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
rm -rf %{buildroot}/usr/share/doc/%{name}*
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
install -m 0644 %{S:1} %{buildroot}%{_defaultdocdir}/%{name}

%files
%defattr(-,root,root)
%doc README.rst COPYING
%{_bindir}/%{name}
%{python_sitelib}/*
%{_mandir}/man1/%{name}.1.gz

%changelog
* Mon Feb 13 2017 werner@suse.de
- Inital package urlscan 0.8.3 which is an replacement for urlview
